Index: tmp/org.txm.svn.rcp/.classpath
===================================================================
--- tmp/org.txm.svn.rcp/.classpath	(revision 0)
+++ tmp/org.txm.svn.rcp/.classpath	(revision 484)
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="src" path="src"/>
+	<classpathentry kind="output" path="bin"/>
+</classpath>

Property changes on: tmp/org.txm.svn.rcp/.classpath
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.svn.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.svn.rcp/META-INF/MANIFEST.MF	(revision 0)
+++ tmp/org.txm.svn.rcp/META-INF/MANIFEST.MF	(revision 484)
@@ -0,0 +1,19 @@
+Manifest-Version: 1.0
+Bundle-ManifestVersion: 2
+Bundle-Name: %Bundle-Name
+Bundle-SymbolicName: SVNEnvironmentRCP;singleton:=true
+Bundle-Version: 1.0.0.qualifier
+Bundle-Activator: svnenvironement.Activator
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.team.svn;bundle-version="1.1.0",
+ org.eclipse.team.svn.core;bundle-version="1.1.0",
+ org.eclipse.team.svn.help;bundle-version="1.1.0",
+ org.eclipse.team.svn.ui;bundle-version="1.1.0",
+ org.polarion.eclipse.team.svn.connector;bundle-version="3.0.1",
+ org.eclipse.team.ui;bundle-version="3.7.0",
+ org.eclipse.team.core;bundle-version="3.7.0",
+ org.polarion.eclipse.team.svn.connector.svnkit18;bundle-version="4.1.0"
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-ActivationPolicy: lazy
+Bundle-Vendor: Textometrie.org

Property changes on: tmp/org.txm.svn.rcp/META-INF/MANIFEST.MF
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.svn.rcp/.project
===================================================================
--- tmp/org.txm.svn.rcp/.project	(revision 0)
+++ tmp/org.txm.svn.rcp/.project	(revision 484)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>SVNEnvironmentRCP</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.jdt.core.javabuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.ManifestBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.SchemaBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.eclipse.pde.PluginNature</nature>
+		<nature>org.eclipse.jdt.core.javanature</nature>
+	</natures>
+</projectDescription>

Property changes on: tmp/org.txm.svn.rcp/.project
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.svn.rcp/src/svnenvironement/Activator.java
===================================================================
--- tmp/org.txm.svn.rcp/src/svnenvironement/Activator.java	(revision 0)
+++ tmp/org.txm.svn.rcp/src/svnenvironement/Activator.java	(revision 484)
@@ -0,0 +1,50 @@
+package svnenvironement;
+
+import org.eclipse.ui.plugin.AbstractUIPlugin;
+import org.osgi.framework.BundleContext;
+
+/**
+ * The activator class controls the plug-in life cycle
+ */
+public class Activator extends AbstractUIPlugin {
+
+	// The plug-in ID
+	public static final String PLUGIN_ID = "SVNEnvironement"; //$NON-NLS-1$
+
+	// The shared instance
+	private static Activator plugin;
+	
+	/**
+	 * The constructor
+	 */
+	public Activator() {
+	}
+
+	/*
+	 * (non-Javadoc)
+	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
+	 */
+	public void start(BundleContext context) throws Exception {
+		super.start(context);
+		plugin = this;
+	}
+
+	/*
+	 * (non-Javadoc)
+	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
+	 */
+	public void stop(BundleContext context) throws Exception {
+		plugin = null;
+		super.stop(context);
+	}
+
+	/**
+	 * Returns the shared instance
+	 *
+	 * @return the shared instance
+	 */
+	public static Activator getDefault() {
+		return plugin;
+	}
+
+}

Property changes on: tmp/org.txm.svn.rcp/src/svnenvironement/Activator.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.svn.rcp/bin/svnenvironement/Activator.class
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.svn.rcp/bin/svnenvironement/Activator.class
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.svn.rcp/build.properties
===================================================================
--- tmp/org.txm.svn.rcp/build.properties	(revision 0)
+++ tmp/org.txm.svn.rcp/build.properties	(revision 484)
@@ -0,0 +1,6 @@
+source.. = src/
+output.. = bin/
+bin.includes = META-INF/,\
+               .,\
+               plugin.xml,\
+               OSGI-INF/l10n/bundle.properties

Property changes on: tmp/org.txm.svn.rcp/build.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.svn.rcp/OSGI-INF/l10n/bundle_fr.properties
===================================================================
--- tmp/org.txm.svn.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 0)
+++ tmp/org.txm.svn.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 484)
@@ -0,0 +1,3 @@
+#Properties file for SVNEnvironementRCP
+command.label = Environnement SVN
+Bundle-Name = Environnement SVN
\ No newline at end of file

Property changes on: tmp/org.txm.svn.rcp/OSGI-INF/l10n/bundle_fr.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.svn.rcp/OSGI-INF/l10n/bundle.properties
===================================================================
--- tmp/org.txm.svn.rcp/OSGI-INF/l10n/bundle.properties	(revision 0)
+++ tmp/org.txm.svn.rcp/OSGI-INF/l10n/bundle.properties	(revision 484)
@@ -0,0 +1,3 @@
+#Properties file for SVNEnvironementRCP
+command.label = SVN Environment
+Bundle-Name = SVNEnvironment
\ No newline at end of file

Property changes on: tmp/org.txm.svn.rcp/OSGI-INF/l10n/bundle.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.svn.rcp/plugin.xml
===================================================================
--- tmp/org.txm.svn.rcp/plugin.xml	(revision 0)
+++ tmp/org.txm.svn.rcp/plugin.xml	(revision 484)
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<?eclipse version="3.4"?>
+<plugin>
+   <extension
+         point="org.eclipse.ui.menus">
+      <menuContribution
+            locationURI="menu:menu.help.plugins">
+         <command
+               commandId="org.txm.rcpapplication.commands.OpenBrowser"
+               label="%command.label"
+               style="push">
+            <parameter
+                  name="org.txm.rcpapplication.commands.commandParameter2"
+                  value="https://groupes.renater.fr/wiki/txm-users/public/extensions#environnement_svn">
+            </parameter>
+         </command>
+      </menuContribution>
+   </extension>
+
+</plugin>

Property changes on: tmp/org.txm.svn.rcp/plugin.xml
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.svn.rcp/.settings/org.eclipse.jdt.core.prefs
===================================================================
--- tmp/org.txm.svn.rcp/.settings/org.eclipse.jdt.core.prefs	(revision 0)
+++ tmp/org.txm.svn.rcp/.settings/org.eclipse.jdt.core.prefs	(revision 484)
@@ -0,0 +1,7 @@
+eclipse.preferences.version=1
+org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
+org.eclipse.jdt.core.compiler.compliance=1.6
+org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
+org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
+org.eclipse.jdt.core.compiler.source=1.6

Property changes on: tmp/org.txm.svn.rcp/.settings/org.eclipse.jdt.core.prefs
___________________________________________________________________
Added: svn:mime-type
   + text/plain

